//
// define wrappers for VWIN32_DIOCCompletionRoutine and Set_Thread_Time_Out
//
MAKE_HEADER(VOID, _stdcall, VWIN32_DIOCCompletionRoutine, (DWORD hEvent))
#define VWIN32_DIOCCompletionRoutine PREPEND(VWIN32_DIOCCompletionRoutine)

#define A1216E_VERSION			0x400

#define InitDriver				0x80FF2004
#define Status					0x80FF2008
#define Stop					0x80FF200C
#define GetData					0x80FF2010
#define InitChannelTable		0x80FF2014
#define InitGainTable			0x80FF2018

typedef DIOCPARAMETERS *LPDIOC;
typedef OVERLAPPED *LPOVERLAPPED;
typedef char *PSTR;

typedef struct _A1216E_INIT_DATA {
	unsigned long BaseAddress;
	unsigned long IRQ;
	long NumPoints;
	long BusType;
	unsigned long BusNumber;
} A1216E_INIT_DATA, *PA1216E_INIT_DATA;

//
// Prototypes
//
DWORD _stdcall A1216E_DeviceIOControl(DWORD, DWORD, DWORD, LPDIOC);
DWORD _stdcall A1216E_CleanUp(void);
void  _cdecl   A1216E_ConversionReady(void);
void  _cdecl   A1216E_DummyISR(void);
DWORD _stdcall MyPageLock(DWORD, DWORD);
void  _stdcall MyPageUnlock(DWORD, DWORD);

DWORD _stdcall A1216E_InitDriver(DWORD, DWORD, LPDIOC);
DWORD _stdcall A1216E_InitChannelTable(DWORD, DWORD, LPDIOC);
DWORD _stdcall A1216E_InitGainTable(DWORD, DWORD, LPDIOC);
DWORD _stdcall A1216E_Status(DWORD, DWORD, LPDIOC);
DWORD _stdcall A1216E_Stop(DWORD, DWORD, LPDIOC);
DWORD _stdcall A1216E_GetData(DWORD, DWORD, LPDIOC);
void _stdcall A1216E_SetChannel(long);

unsigned short _stdcall inport(unsigned short port);
unsigned char _stdcall inportb(unsigned short port);
void _stdcall outport(unsigned short port, unsigned short val);
void _stdcall outportb(unsigned short port, unsigned char val);

